Skip to main content
`Ctrl`+`K`

# SNESNASMGetSubdomains

Get the local subdomain contexts for the nonlinear additive Schwarz solver

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMGetSubdomains(SNES snes, PetscInt *n, SNES *subsnes[], VecScatter *iscatter[], VecScatter *oscatter[], VecScatter *gscatter[])

Not Collective but some of the objects returned will be parallel

## Input Parameter

- snes - the `SNES` context

## Output Parameters

- n - the number of local subdomains

- subsnes - solvers defined on the local subdomains

- iscatter - scatters into the nonoverlapping portions of the local subdomains

- oscatter - scatters into the overlapping portions of the local subdomains

- gscatter - scatters into the (ghosted) local vector of the local subdomain

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNASM`, `SNESNASMSetSubdomains()`

## Level

intermediate

## Location

src/snes/impls/nasm/nasm.c

## Implementations

SNESNASMGetSubdomains_NASM() in src/snes/impls/nasm/nasm.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages